Bug 818527 - Move to java-atk-wrapper from java-access-bridge
Move to java-atk-wrapper from java-access-bridge
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On: 820361
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 05:23 EDT by Alexander Kurtakov
Modified: 2013-04-23 12:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 12:09:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2012-05-03 05:23:32 EDT
Currently openjdk uses java-access-bridge which relied on bonobo in the effort to remove bonobo a new project java-atk-wrapper has been created http://git.gnome.org/browse/java-atk-wrapper/ .
It would be good if openjdk doesn't bring obsolete technologies like bonobo with itself.
Comment 1 Omair Majid 2012-05-08 22:08:24 EDT
It looks like java-atk-wrapper is completely broken:
https://bugs.launchpad.net/ubuntu/+source/openjdk-6/+bug/935296
Comment 2 Omair Majid 2012-05-09 14:52:48 EDT
Review request for java-atk-wrapper is bug 820361

Once that's in, I will add the bits to openjdk to set it up as the default accessibility provider. It works with basic swing programs as far as I can tell; I haven't done extensive testing.
Comment 3 Omair Majid 2012-05-17 10:11:51 EDT
Pavel has graciously accepted the task of testing out java-atk-wrapper to see if it's a good (enough) replacement for gnome-java-bridge to be used by default.
Comment 4 Alexander Kurtakov 2013-04-23 12:00:47 EDT
Move to rawhide for consideration.
Comment 5 Omair Majid 2013-04-23 12:09:56 EDT
Fixed in F19:
http://koji.fedoraproject.org/koji/buildinfo?buildID=408796

Note You need to log in before you can comment on or make changes to this bug.